查询FBC平台仓信息
POST
/basicOpen/openapi/fbc/stockSearch支持分页查询FBC平台仓库存信息,对应系统FBC库存数据。
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/basicOpen/openapi/fbc/stockSearch | HTTPS | POST | 1 |
请求参数
currentintegercustomobject隐藏子属性
typeintegerlikeContentstringlikeContentsarray<any>inContentListarray<any>codestringhideZeroStorageintegerlengthinteger必填offsetinteger必填orderColumnTypestringorderWayintegerqtyRangearray<object>隐藏子属性
typestringmaxstringminstringqtySearchTypeintegerstoreIdsarray<any>totalintegerwarehouseIdsarray<any>请求cURL示例
curl --location 'https://openapi.lingxing.com/basicOpen/openapi/fbc/stockSearch?access_token=value×tamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
"current": 1,
"length": 20,
"offset": 0,
"storeIds": [123456],
"warehouseIds": ["1001"],
"orderColumnType": "gmtCreate",
"orderWay": 0,
"hideZeroStorage": 0,
"qtySearchType": 0
}'
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataobject必填隐藏子属性
pageobject必填隐藏子属性
countIdstring必填currentinteger必填hitCountboolean必填maxLimitinteger必填optimizeCountSqlboolean必填ordersarray<object>必填隐藏子属性
ascboolean必填columnstring必填pagesinteger必填recordsarray<object>必填隐藏子属性
allocatedQuantitystring必填availableQuantitystring必填blockedQuantitystring必填companyIdinteger必填gmtCreatestring必填gmtModifiedstring必填itemIdstring必填litigationQuantitystring必填locationIdstring必填mskustring必填picUrlstring必填pidinteger必填platformProductStatusstring必填productNamestring必填productUniqueIdstring必填purchasePricestring必填quantitystring必填quantityCoststring必填removalQuantitystring必填returnQuantitystring必填skustring必填storeIdinteger必填titlestring必填warehouseIdstring必填warehouseNamestring必填warehouseUniqueIdstring必填searchCountboolean必填sizeinteger必填totalinteger必填stockTotalobject必填隐藏子属性
allocatedQuantitystring必填availableQuantitystring必填blockedQuantitystring必填litigationQuantitystring必填quantitystring必填removalQuantitystring必填returnQuantitystring必填syncTimestring必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "a0d54debf93140f3b58d1ed81e8e3583",
"response_time": "2026-08-21 12:00:00",
"data": {
"page": {
"countId": "",
"current": 1,
"hitCount": false,
"maxLimit": null,
"optimizeCountSql": false,
"orders": [],
"pages": 5,
"records": [
{
"allocatedQuantity": "0",
"availableQuantity": "100",
"blockedQuantity": "0",
"companyId": 12345,
"gmtCreate": "2026-08-21 10:00:00",
"gmtModified": "2026-08-21 12:00:00",
"itemId": "B0CXXXXXX",
"litigationQuantity": "0",
"locationId": "",
"msku": "MSKU001",
"picUrl": "https://example.com/pic.jpg",
"pid": 123456,
"platformProductStatus": "1",
"productName": "产品名称",
"productUniqueId": "1234567890",
"purchasePrice": "10.50",
"quantity": "100",
"quantityCost": "",
"removalQuantity": "0",
"returnQuantity": "0",
"sku": "SKU001",
"storeId": 123456,
"title": "产品标题",
"warehouseId": "1001",
"warehouseName": "深圳仓",
"warehouseUniqueId": "WH001"
}
],
"searchCount": true,
"size": 20,
"total": 100
},
"stockTotal": {
"allocatedQuantity": "0",
"availableQuantity": "500",
"blockedQuantity": "0",
"litigationQuantity": "0",
"quantity": "500",
"removalQuantity": "0",
"returnQuantity": "0"
},
"syncTime": "2026-08-21 12:00:00"
}
}